<?php

$mon = $_GET["mon"];
$god = $_GET["god"];

$host      = "localhost";
$user      = "root";
$pass      = "usbw";
$db_name   = "blanks";

date_default_timezone_set("Europe/Moscow");

$mysqli = new mysqli($host, $user, $pass, $db_name);
$mysqli->set_charset("utf8");

if (!$mysqli)
    die("ERROR: Could not connect. " . mysqli_connect_error());

$csv  = "smpdata-" . date('d-m-Y-his') . '.csv';
$file = fopen($csv, 'w');

function get_okpo($vv) {
	if($vv == "ГБУЗ НО Нижегородское областное бюро судебно-медицинской экспертизы"){
       $rr = "04894827";
       return $rr;	   
    }
	if($vv == "ФГБУЗ Клиническая больница №50 Федерального медико-биологического агенства"){
       $rr = "08624355";
       return $rr;	   
    }	
}
	
function get_rows_my($row) {
	
    $chars = ';"'; // символы для удаления	
	
	$row_out[0] = $row["id"];
	$row_out[1] = $row["num"];
	$row_out[2] = $row["numb"];
	$row_out[3] = $row["ser"];
	$row_out[4] = $row["serb"];
	$row_out[5] = preg_replace('/['.$chars.']/', '', $row["searchfio"]);
	$row_out[6] = preg_replace('/['.$chars.']/', '', $row["fam"]);
	$row_out[7] = preg_replace('/['.$chars.']/', '', $row["famr"]);
	$row_out[8] = preg_replace('/['.$chars.']/', '', $row["im"]);
	$row_out[9] = preg_replace('/['.$chars.']/', '', $row["ot"]);
	$row_out[10] = preg_replace('/['.$chars.']/', '', $row["nameorg"]);
	$row_out[11] = preg_replace('/['.$chars.']/', '', $row["adrorg"]);
	$row_out[12] = preg_replace('/['.$chars.']/', '', $row["okud"]);
	
	$row_out[13] = get_okpo($row["nameorg"]);
	
	$row_out[14] = preg_replace('/['.$chars.']/', '', $row["numlicvr"]);
	$row_out[15] = preg_replace('/['.$chars.']/', '', $row["adrvr"]);	
	$row_out[16] = $row["typea"];
	
    $row_out[17] = $row["typeb"];
	if ($row["typeb"] == "ОКОНЧАТЕЛЬНОЕ")
	    $row_out[17] = "1";
	if ($row["typeb"] == "ПРЕДВАРИТЕЛЬНОЕ")
	    $row_out[17] = "2";
	if ($row["typeb"] == "ВЗАМЕН ПРЕДВАРИТЕЛЬНОГО")
	    $row_out[17] = "3";
	if ($row["typeb"] == "ВЗАМЕН ОКОНЧАТЕЛЬНОГО")
	    $row_out[17] = "4";
	
	$row_out[18] = $row["dateblank"];
	$row_out[19] = $row["dateblankb"];
    $row_out[20] = $row["rmpdate"];
	$row_out[21] = $row["rmptimeh"];
	$row_out[22] = $row["rmptimem"];	
    $row_out[23] = $row["rjdate"];
	$row_out[24] = $row["rjtimeh"];
	$row_out[25] = $row["rjtimem"];	
    $row_out[26] = $row["smdate"];
	$row_out[27] = $row["smtimeh"];
	$row_out[28] = $row["smtimem"];
	
	$row_out[29] = $row["snast"];
	if ($row["snast"] == "ДО НАЧАЛА РОДОВ")
	    $row_out[29] = "1";
	if ($row["snast"] == "ВО ВРЕМЯ РОДОВ")
	    $row_out[29] = "2";
	if ($row["snast"] == "ПОСЛЕ РОДОВ")
	    $row_out[29] = "3";	
	if ($row["snast"] == "НЕИЗВЕСТНО")
	    $row_out[29] = "4";
	
	$row_out[30] = $row["drma"];
	$row_out[31] = preg_replace('/['.$chars.']/', '', $row["regresp"]);	
	$row_out[32] = preg_replace('/['.$chars.']/', '', $row["regkray"]);
	$row_out[33] = preg_replace('/['.$chars.']/', '', $row["regobl"]);	
	$row_out[34] = preg_replace('/['.$chars.']/', '', $row["naspunktrsocr"]);
	$row_out[35] = preg_replace('/['.$chars.']/', '', $row["naspunktrscr"]);
	$row_out[36] = preg_replace('/['.$chars.']/', '', $row["naspunktr"]);	
	$row_out[37] = preg_replace('/['.$chars.']/', '', $row["regul"]);
	$row_out[38] = preg_replace('/['.$chars.']/', '', $row["regdom"]);
	$row_out[39] = preg_replace('/['.$chars.']/', '', $row["regkv"]);		
	$row_out[40] = preg_replace('/['.$chars.']/', '', $row["smrn"]);
	$row_out[41] = preg_replace('/['.$chars.']/', '', $row["smgorod"]);
	
	$row_out[42] = $row["regmestn"];
	if ($row["regmestn"] == "ГОРОДСКАЯ")
	    $row_out[42] = "1";
	if ($row["regmestn"] == "СЕЛЬСКАЯ")
	    $row_out[42] = "2";
	
	$row_out[43] = $row["smmestn"];
	if ($row["smmestn"] == "ГОРОДСКАЯ")
	    $row_out[43] = "1";
	if ($row["smmestn"] == "СЕЛЬСКАЯ")
	    $row_out[43] = "2";
	
    $row_out[44] = $row["sempol"];
	if ($row["sempol"] == "СОСТОИТ В ЗАРЕГИСТРИРОВАННОМ БРАКЕ")
	    $row_out[44] = "1";	
	if ($row["sempol"] == "НЕ СОСТОИТ В ЗАРЕГИСТРИРОВАННОМ БРАКЕ")
	    $row_out[44] = "2";	
	if ($row["sempol"] == "НЕИЗВЕСТНО")
	    $row_out[44] = "3";	
	
	$row_out[45] = $row["smwhere"];
	if ($row["smwhere"] == "В СТАЦИОНАРЕ")
	    $row_out[45] = "1";
	if ($row["smwhere"] == "ДОМА")
	    $row_out[45] = "2";
	if ($row["smwhere"] == "В ДРУГОМ МЕСТЕ")
	    $row_out[45] = "3";
	if ($row["smwhere"] == "НЕИЗВЕСТНО")
	    $row_out[45] = "4";	
	
	$row_out[46] = $row["smobrazovan"];
	if ($row["smobrazovan"] == "ПРОФЕССИОНАЛЬНОЕ: ВЫСШЕЕ")
	    $row_out[46] = "1";
	if ($row["smobrazovan"] == "ПРОФЕССИОНАЛЬНОЕ: НЕПОЛНОЕ ВЫСШЕЕ")
	    $row_out[46] = "2";
	if ($row["smobrazovan"] == "ПРОФЕССИОНАЛЬНОЕ: СРЕДНЕЕ")
	    $row_out[46] = "3";	
	if ($row["smobrazovan"] == "ПРОФЕССИОНАЛЬНОЕ: НАЧАЛЬНОЕ")
	    $row_out[46] = "4";
	if ($row["smobrazovan"] == "ОБЩЕЕ: СРЕДНЕЕ (ПОЛНОЕ)")
	    $row_out[46] = "5";		
	if ($row["smobrazovan"] == "ОБЩЕЕ: ОСНОВНОЕ")
	    $row_out[46] = "6";
	if ($row["smobrazovan"] == "ОБЩЕЕ: НАЧАЛЬНОЕ")
	    $row_out[46] = "7";	
	if ($row["smobrazovan"] == "НЕ ИМЕЕТ НАЧАЛЬНОГО ОБРАЗОВАНИЯ")
	    $row_out[46] = "8";	
	if ($row["smobrazovan"] == "НЕИЗВЕСТНО")
	    $row_out[46] = "9";	
	
	$row_out[47] = $row["pol"];
	if ($row["pol"] == "МАЛЬЧИК")
	    $row_out[47] = "1";
	if ($row["pol"] == "ДЕВОЧКА")
	    $row_out[47] = "2";
	
	$row_out[48] = $row["smzanat"];
	if ($row["smzanat"] == "БЫЛА ЗАНЯТА В ЭКОНОМИКЕ: РУКОВОДИТЕЛИ И СПЕЦИАЛИСТЫ ВЫСШЕГО УРОВНЯ КВАЛИФИКАЦИИ")
	    $row_out[48] = "1";	
	if ($row["smzanat"] == "БЫЛА ЗАНЯТА В ЭКОНОМИКЕ: ПРОЧИЕ СПЕЦИАЛИСТЫ")
	    $row_out[48] = "2";
	if ($row["smzanat"] == "БЫЛА ЗАНЯТА В ЭКОНОМИКЕ: КВАЛИФИЦИРОВАННЫЕ РАБОЧИЕ")
	    $row_out[48] = "3";
	if ($row["smzanat"] == "БЫЛА ЗАНЯТА В ЭКОНОМИКЕ: НЕКВАЛИФИЦИРОВАННЫЕ РАБОЧИЕ")
	    $row_out[48] = "4";	
	if ($row["smzanat"] == "БЫЛА ЗАНЯТА В ЭКОНОМИКЕ: ЗАНЯТЫЕ НА ВОЕННОЙ СЛУЖБЕ")
	    $row_out[48] = "5";	
	if ($row["smzanat"] == "НЕ БЫЛА ЗАНЯТА В ЭКОНОМИКЕ: ПЕНСИОНЕРЫ")
	    $row_out[48] = "6";
	if ($row["smzanat"] == "НЕ БЫЛА ЗАНЯТА В ЭКОНОМИКЕ: СТУДЕНТЫ И УЧАЩИЕСЯ")
	    $row_out[48] = "7";
	if ($row["smzanat"] == "НЕ БЫЛА ЗАНЯТА В ЭКОНОМИКЕ: РАБОТАВШИЕ В ЛИЧНОМ ПОДСОБНОМ ХОЗЯЙСТВЕ")
	    $row_out[48] = "8";
	if ($row["smzanat"] == "НЕ БЫЛА ЗАНЯТА В ЭКОНОМИКЕ: БЕЗРАБОТНЫЕ")
	    $row_out[48] = "9";	
	if ($row["smzanat"] == "НЕ БЫЛА ЗАНЯТА В ЭКОНОМИКЕ: ПРОЧИЕ")
	    $row_out[48] = "10";
	
	$row_out[49] = preg_replace('/['.$chars.']/', '', $row["massarr"]);
	$row_out[50] = preg_replace('/['.$chars.']/', '', $row["numrod"]);
	$row_out[51] = preg_replace('/['.$chars.']/', '', $row["lenrr"]);
	$row_out[52] = preg_replace('/['.$chars.']/', '', $row["proiza"]);
	$row_out[53] = preg_replace('/['.$chars.']/', '', $row["proizb"]);
	$row_out[54] = preg_replace('/['.$chars.']/', '', $row["proizc"]);
	$row_out[55] = preg_replace('/['.$chars.']/', '', $row["numrmama"]);
	
	$row_out[56] = preg_replace('/['.$chars.']/', '', $row["smotchego"]);
	if ($row_out[56] == "ОТ ЗАБОЛЕВАНИЯ")
	    $row_out[56] = "1";
	if ($row_out[56] == "НЕСЧАСТНОГО СЛУЧАЯ")
	    $row_out[56] = "9";	
	if ($row_out[56] == "УБИЙСТВА")
	    $row_out[56] = "4";
	if ($row_out[56] == "РОД СМЕРТИ НЕ УСТАНОВЛЕН")
	    $row_out[56] = "8";		
		
	$row_out[57] = preg_replace('/['.$chars.']/', '', $row["licorod"]);
	if ($row_out[57] == "ВРАЧ")
	    $row_out[57] = "1";
	if ($row_out[57] == "ФЕЛЬДШЕР, АКУШЕРКА")
	    $row_out[57] = "2";
	if ($row_out[57] == "ДРУГОЕ")
	    $row_out[57] = "3";	
	
	$row_out[58] = preg_replace('/['.$chars.']/', '', $row["prichsa"]);		
	$row_out[59] = preg_replace('/['.$chars.']/', '', $row["prichsamkb"]);
	$row_out[60] = preg_replace('/['.$chars.']/', '', $row["prichsb"]);
	$row_out[61] = preg_replace('/['.$chars.']/', '', $row["prichsbmkb"]);
	$row_out[62] = preg_replace('/['.$chars.']/', '', $row["prichsc"]);
	$row_out[63] = preg_replace('/['.$chars.']/', '', $row["prichscmkb"]);
	$row_out[64] = preg_replace('/['.$chars.']/', '', $row["prichsd"]);
	$row_out[65] = preg_replace('/['.$chars.']/', '', $row["prichsdmkb"]);
	$row_out[66] = preg_replace('/['.$chars.']/', '', $row["prichse"]);
	$row_out[67] = preg_replace('/['.$chars.']/', '', $row["prichsemkb"]);
	
	$row_out[68] = preg_replace('/['.$chars.']/', '', $row["prichslico"]);
	if ($row_out[68] == "ВРАЧОМ, ТОЛЬКО УДОСТОВЕРИВШИМ СМЕРТЬ")
	    $row_out[68] = "1";
	if ($row_out[68] == "ВРАЧОМ-АКУШЕРОМ-ГИНЕКОЛОГОМ, ПРИНИМАВШИМ РОДЫ")
	    $row_out[68] = "6";	
	if ($row_out[68] == "ВРАЧОМ-НЕОНАТОЛОГОМ (ПЕДИАТРОМ), ЛЕЧИВШИМ РЕБЕНКА")
	    $row_out[68] = "7";
	if ($row_out[68] == "ВРАЧОМ-ПАТОЛОГОАНАТОМОМ")
	    $row_out[68] = "4";
	if ($row_out[68] == "СУДЕБНО-МЕДИЦИНСКИМ ЭКСПЕРТОМ")
	    $row_out[68] = "5";
	if ($row_out[68] == "АКУШЕРКОЙ")
	    $row_out[68] = "8";
	if ($row_out[68] == "ФЕЛЬДШЕРОМ")
	    $row_out[68] = "9";	
	
    $row_out[69] = preg_replace('/['.$chars.']/', '', $row["prichsosn"]);
	if ($row_out[69] == "ОСМОТРА ТРУПА")
	    $row_out[69] = "1";	
	if ($row_out[69] == "ЗАПИСЕЙ В МЕДИЦИНСКОЙ ДОКУМЕНТАЦИИ")
	    $row_out[69] = "2";
	if ($row_out[69] == "СОБСТВЕННОГО ПРЕДШЕСТВОВАВШЕГО НАБЛЮДЕНИЯ")
	    $row_out[69] = "3";	
	if ($row_out[69] == "ВСКРЫТИЯ")
	    $row_out[69] = "4";
	
    $row_out[70] = preg_replace('/['.$chars.']/', '', $row["doljnfill"]);
    $row_out[71] = preg_replace('/['.$chars.']/', '', $row["fiofill"]);
    $row_out[72] = preg_replace('/['.$chars.']/', '', $row["glavmedorg"]);
    $row_out[73] = preg_replace('/['.$chars.']/', '', $row["glavmedorgfio"]);
    $row_out[74] = preg_replace('/['.$chars.']/', '', $row["dateproverka"]);
    $row_out[75] = preg_replace('/['.$chars.']/', '', $row["fioproverka"]);
    $row_out[76] = $row["ss"];
	
	//$row_out[77] = $row["getfio"];
    //$row_out[78] = $row["getdoc"];
    //$row_out[79] = $row["getdate"];

    return $row_out;
}

if (!$mysqli_result = mysqli_query($mysqli, "SELECT * FROM smpdata WHERE periodmon = '$mon' AND periodyear = '$god'"))
    printf("Error: %s\n", $mysqli->error);

	//fwrite($file, "\xEF\xBB\xBF");
	
	$column_names[0] = "id";
	$column_names[1] = "num";
	$column_names[2] = "numb";
	$column_names[3] = "ser";
	$column_names[4] = "serb";
	$column_names[5] = "searchfio";
	$column_names[6] = "fam";
	$column_names[7] = "famr";
	$column_names[8] = "im";
	$column_names[9] = "ot";
	$column_names[10] = "nameorg";
	$column_names[11] = "adrorg";
	$column_names[12] = "okud";
	$column_names[13] = "okpo";
	$column_names[14] = "numlicvr";
	$column_names[15] = "adrvr";
	$column_names[16] = "typea";
    $column_names[17] = "typeb";
	$column_names[18] = "dateblank";
	$column_names[19] = "dateblankb";
    $column_names[20] = "rmpdate";
	$column_names[21] = "rmptimeh";
	$column_names[22] = "rmptimem";	
    $column_names[23] = "rjdate";
	$column_names[24] = "rjtimeh";
	$column_names[25] = "rjtimem";	
    $column_names[26] = "smdate";
	$column_names[27] = "smtimeh";
	$column_names[28] = "smtimem";
	$column_names[29] = "snast";
	$column_names[30] = "drma";
	$column_names[31] = "regresp";	
	$column_names[32] = "regkray";
	$column_names[33] = "regobl";	
	$column_names[34] = "naspunktrsocr";
	$column_names[35] = "naspunktrscr";
	$column_names[36] = "naspunktr";	
	$column_names[37] = "regul";
	$column_names[38] = "regdom";
	$column_names[39] = "regkv";		
	$column_names[40] = "smrn";
	$column_names[41] = "smgorod";
	$column_names[42] = "regmestn";	
	$column_names[43] = "smmestn";
    $column_names[44] = "sempol";
	$column_names[45] = "smwhere";
	$column_names[46] = "smobrazovan";
	$column_names[47] = "pol";
	$column_names[48] = "smzanat";
	$column_names[49] = "massarr";
	$column_names[50] = "numrod";
	$column_names[51] = "lenrr";
	$column_names[52] = "proiza";
	$column_names[53] = "proizb";
	$column_names[54] = "proizc";
	$column_names[55] = "numrmama";
	$column_names[56] = "smotchego";
	$column_names[57] = "licorod";
	$column_names[58] = "prichsa";		
	$column_names[59] = "prichsamkb";
	$column_names[60] = "prichsb";
	$column_names[61] = "prichsbmkb";
	$column_names[62] = "prichsc";
	$column_names[63] = "prichscmkb";
	$column_names[64] = "prichsd";
	$column_names[65] = "prichsdmkb";
	$column_names[66] = "prichse";
	$column_names[67] = "prichsemkb";
	$column_names[68] = "prichslico";
    $column_names[69] = "prichsosn";
    $column_names[70] = "doljnfill";
    $column_names[71] = "fiofill";
    $column_names[72] = "glavmedorg";
    $column_names[73] = "glavmedorgfio";
    $column_names[74] = "dateproverka";
    $column_names[75] = "fioproverka";
    $column_names[76] = "ss";
	
	//$column_names[77] = "getfio";
    //$column_names[78] = "getdoc";
    //$column_names[79] = "getdate";
	
	
    if (!fputcsv($file, $column_names, $delimiter = ';', $enclosure = '"'))
        die('Can\'t write column names in csv file');
    while ($row = mysqli_fetch_assoc($mysqli_result)) {
	    $row_out = get_rows_my($row);
        if (!fputcsv($file, $row_out, $delimiter = ';', $enclosure = '"'))
            die('Can\'t write rows in csv file');
    }

fclose($file);

//
if (file_exists($csv)) {
			header('Content-Description: File Transfer');
			header('Content-Type: application/octet-stream');
			header('Content-Disposition: attachment; filename='.basename($csv));
			header('Content-Transfer-Encoding: binary');
			header('Expires: 0');
			header('Cache-Control: must-revalidate');
			header('Pragma: public');
			header('Content-Length: ' . filesize($csv));
			ob_clean();
			flush();
			readfile($csv);
		}
		else {
			echo $csv.' Doesnt Exist!';	
		}
		
unlink($csv);
		
$mysqli->close();

?>

